Kerbal Space Program - Bug #5293

Completing "Explore Moho" from Reaction Systems Ltd
08/02/2015 11:39 AM - polikey
Assignee:
Category:
Platform: Win64 Mod Related: No

Expansion:

Description

While playing on career mode, | received the notification "Land on Moho : Complete" (contract from from Reaction Systems Ltd
accepted a few Kerbin years ago) when | was still 5000 m above the surface at around 95m/s.

It seems that the transit stage of my rocket collided with moho during my descent (I was on a nice collision course flight plan).

Just sending objects on a collision course should not be considered a "landing", it just makes the "real" soft landing a bit frustrating
then...

Thanks for reading

History

#1 - 08/02/2015 03:27 PM - Alchemist

Actually, this might be OK. If something crashed, but wasn't fully destroyed (did it have a probe core?) this can be accounted as landing. What does
depend on how soft your landing was is if you can do the rest of what the craft is supposed to do (transmit science? return to orbit?). Other than that,
it may be designed to lithobrake and it still will be a landing.

You know how the first probe to land on the Moon actually landed? Luna-9 just achieved hover at low altitude and dropped its descent stage there.
And then it fell on the surface using airbags.

It doesn't undermine the achievement of gentler landings - it's just one of the options you have to be conscious of. The acceptable touchdown velocity
is fully dependent on your craft design and mission planning.

#2 - 08/02/2015 04:18 PM - polikey

The "transit stage" was just a fuel tank, an engine, 4 monopropellant tank, 4 RCS thrusters, and 6 solar panels. When | detached the probe from the
transit stage, the speed was around 250 m/s. (impact velocity must be around 300 m/s)

After some reserches on the crash site, it seems that the only thing that survived was the 4 monopropellant tanks...
Those guys at Stratus knows how to make good devices **

I'll keep your explanation in mind. Keep up the great job!

#3 - 08/02/2015 11:36 PM - Squelch

- Status changed from New to Need More Info

Do you have a save game from before the Moho encounter polikey?

Landings should only be detected when a command module has touched down, not debris which the fuel tanks would be classed as. If by any chance
you have a quicksave, or named save from before this happened, we can try and determine what has happened?

#4 - 08/03/2015 06:55 AM - Alchemist

- File descent.sfs added

- File final approach.sfs added

- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10
Squelch wrote:
Do you have a save game from before the Moho encounter polikey?

Landings should only be detected when a command module has touched down, not debris which the fuel tanks would be classed as. If by any
chance you have a quicksave, or named save from before this happened, we can try and determine what has happened?

I've reproduced it with Mun landing contract (see the attached saves)
If you drop the descent stage so that it survives - it's counted as successful landing. If it's destroyed, nothing happens.

#5 - 08/03/2015 08:03 AM - polikey
- File 2015-08-03_00001.jog added

Unfortunately, the quicksave happened during the impact site research, and my last namedsave is from my previous mission to Laythe. | know it's
more usefull for you than a screenshot... | will try this again with another mission contract. But maybe there is an issue with the monopropellant tanks
or my rocket design? | remember that the same transit stage | use survived a crash on Duna (at least the 4 monopropellant tanks) a few days ago at a
much higher speed.

| know that you need more, but | can't right now. | will try to reproduce it with another contract, and you'll get a saved game.

#6 - 08/08/2015 01:50 AM - Squelch

With the savegame supplied by Alchemist (thank you) there is evidence enough that debris soft landing is satisfying a contract when it shouldn't. This
will be forwarded for attention.

#8 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files

2015-08-02_00001.jpg 104 KB 08/02/2015 polikey
descent.sfs 127 KB 08/03/2015 Alchemist
final approach.sfs 127 KB 08/03/2015 Alchemist
2015-08-03_00001.jpg 69.6 KB 08/03/2015 polikey
